Subject: Re: [spfbis] SPF and empty mail from envelope spec is unclear.

From: Franck Martin <[email-masked]>
Date: Wed, 1 Aug 2012 22:18:23 +0000

A small rewrite because of the suggestion of using wildcard domains, if
there is any DNS record for a specific name then the wildcard is not used.
People tend to put a A or AAAA record for the forward DNS verification
done (after the reverse one) on the connecting IP during the SMTP
connection.

New text:
9.1.3 Bounces
As explained in 2.2, [RFC5321] allows the reverse-path to be null, which
is typical of some Delivery Status Notification [RFC3464], commonly called
email bounces. In this case the only entity available for performing an
SPF check is the HELO identity defined in 1.1. Administrators
MUST(SHOULD?) ensure that this identity is set correctly and has an
appropriate SPF record. It is common to have the HELO identity set to
hostname instead of domain. Administrators SHOULD consider publishing an
SPF for *.domain (wildcard domains) in that case if the involved hostnames

do not have already any specific DNS record.